Bug 206426 - [hi_IN, mr_IN] Some Glyphs are missing and some GPOS shapes should be more perfect - Priority - C
[hi_IN, mr_IN] Some Glyphs are missing and some GPOS shapes should be more pe...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Pravin Satpute
: FutureFeature, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 07:32 EDT by Satyabrata Maitra
Modified: 2009-06-18 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 09:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (1.42 KB, patch)
2006-09-28 12:14 EDT, Rahul Bhalerao
no flags Details | Diff
Verified Image (10.55 KB, image/png)
2007-04-27 09:31 EDT, A S Alam
no flags Details
missing glyphs (U+097B, U+097C, U+097D, U+097E and U+097F) added and GPOS rules for U+0933, U+0934 working fine (76.80 KB, application/x-font-ttf)
2008-03-12 02:47 EDT, sandeep shedmake
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-14 07:32:30 EDT
Description of problem: Some of the codepoint glyphs are missing in the font.
and some of the GPOS, the Matra is not appearing in excat place of the base
character. Those are as follows :

Codepoints Lists :

U+0953
U+097B
U+097C
U+097D
U+097E
U+097F

GPOS List:

U+0933 U+0947
U+0934 U+0947
U+0933 U+0948
U+0934 U+0948


Version-Release number of selected component (if applicable):
fonts-hindi-2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given but without 'U' and '+'.
5. Observe the result.

Actual results:
Some glyphs missing. And some gpos are not appearing with excat shape - Matra is
not appearing in the right place of the base character.

Expected results:
Glyphs should appear and the Matra should appear in the right place of the base
character.

Additional info:
Comment 2 Rahul Bhalerao 2006-09-28 12:12:06 EDT
Bug related to missing code points is already filed as #202400.
Comment 3 Rahul Bhalerao 2006-09-28 12:14:55 EDT
Created attachment 137322 [details]
Patch

Added the required anchor points.
Comment 4 Leon Ho 2006-09-29 02:57:10 EDT
Built in 2.0.5-1.
Comment 5 A S Alam 2007-04-27 09:31:35 EDT
Created attachment 153621 [details]
Verified Image

tested with following version:
fonts-hindi-2.1.5-1.fc7
Comment 6 A S Alam 2007-04-27 09:33:22 EDT
missing Glyphs are not there,back to assign
Comment 7 sandeep shedmake 2008-03-12 02:47:56 EDT
Created attachment 297724 [details]
missing glyphs (U+097B, U+097C, U+097D, U+097E and U+097F) added and GPOS rules for U+0933, U+0934 working fine
Comment 8 Rahul Bhalerao 2008-04-08 09:15:22 EDT
Fixed in lohit-fonts-hindi-2.2.0
Comment 9 Jon Stanley 2008-04-23 16:28:42 EDT
Adding FutureFeature keyword to RFE's.
Comment 10 Tony Fu 2008-09-09 23:17:03 EDT
requested by Jens Petersen (#27995)
Comment 12 Pravin Satpute 2009-06-18 09:34:16 EDT
tested with latest version of lohit-fonts 
lohit-fonts-hindi-2.3.1-1.fc10.noarch
all missing glyphs are there now, as well as GPOS rules looks perfect for above listed combination
thanks sandeep for adding new shapes

so closing for now, feel free to open if any problem

Note You need to log in before you can comment on or make changes to this bug.